Get a canon record subtype
Módulo Canon
GET/canon/record-subtypes/{record_subtype}canonRecordSubtypes.get
A kind-scoped record subtype. Returns one canon record subtype with its `ETag`. A canon record subtype the caller may not see returns 404.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| record_subtype | RecordSubtype | Sí | Kind-scoped record subtype from `xpms.dim_record_subtype`. A subtype of one kind cannot be stored on another.Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$ |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Respuesta 200: CanonRecordSubtype
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| record_kind | RecordKind | Sí | Record kind from `xpms.dim_record_kind` (26 kinds, Section 3.10).Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$ |
| record_subtype | RecordSubtype | Sí | Kind-scoped record subtype from `xpms.dim_record_subtype`. A subtype of one kind cannot be stored on another.Restricciones: pattern ^[A-Z0-9][A-Za-z0-9&'/.()-]*( [A-Za-z0-9&'/.()-]+)*$ |
| unspsc_segment | string | null | Sí | UNSPSC segment code and name.Restricciones: length 1 to 200 |
{
"record_kind": "Task",
"record_subtype": "Design",
"unspsc_segment": "52160000 Audio and visual equipment and accessories"
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/record-subtypes/Design" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.canonRecordSubtypes.get("Design");response = xos.canon_record_subtypes.get("Design")xos canon-record-subtypes get Design